<?php 
class ControllerAccountLogout extends Controller {
	function index() {
		$cart     =& $this->locator->get('cart');
		$customer =& $this->locator->get('customer');
		$language =& $this->locator->get('language');
		$module   =& $this->locator->get('module');
		$response =& $this->locator->get('response');
		$shipping =& $this->locator->get('shipping');
		$template =& $this->locator->get('template');
		$url      =& $this->locator->get('url');
		
    	if ($customer->isLogged()) {
      		$customer->logout();
	  		$cart->clear();
	  
      		$response->redirect($url->ssl('account_logout'));
    	}
 
    	$language->load('controller/account_logout.php');

    	$template->set('title', $language->get('heading_title'));
		
    	$view = $this->locator->create('template');

    	$view->set('heading_title', $language->get('heading_title'));

    	$view->set('text_success', $language->get('text_logout'));

    	$view->set('button_continue', $language->get('button_continue'));

    	$view->set('continue', $url->href(''));

		$template->set('content', $view->fetch('content/success.tpl'));
	
		$template->set($module->fetchPublic());
	
		$response->set($template->fetch('layout.tpl'));	
  	}
}
?>
